@charset "utf-8";
/* CSS Document */
*, ::before, ::after {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
ul, ol {
  list-style: none;
}
a {
  color: inherit;
  text-decoration: none;
}
body {
  font-family: sans-serif;
  font-size: 16px;
  color: #000;
  line-height: 1;
  background-color: #fff;
}
img {
  max-width: 100%;
  height: auto;
}
.header-inner {
  max-width: 1200px;
  height: 110px;
  margin-left: auto;
  margin-right: auto;
  padding-left: 40px;
  padding-right: 40px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.toggle-menu-button {
  display: none;
}
.header-logo {
  display: block;
  width: 170px;
}
.site-menu ul {
  display: flex;
}
.site-menu{
	display: block;
}
.site-menu ul li {
  margin-left: 20px;
  margin-right: 20px;
}
.footer {
  color: #fff;
  background-color: slategray;
  padding-top: 30px;
  padding-bottom: 15px;
  display: flex;
  flex-direction: column;
  align-items: center;
}
.footer-logo {
  display: block;
  width: 235px;
  margin-top: 90px;
}
.footer-tel {
  font-size: 20px;
  font-weight: bold;
  margin-top: 28px;
}
.footer-access1 .footer-access2 {
  font-size: 14px;
  margin-top: 16px;
}
.copyright {
  font-size: 14px;
  font-weight: bold;
  margin-top: 90px;
}
.site-menu ul li a {
  font-family: 'Noto Sans JP', sans-serif;
  font-weight: bold;
}
.botton-area1{
    margin-bottom: 15px;
    display: flex;
    gap:50px;
    justify-content: center;
}
.botton-area2{
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 30px;
    display: flex;
    gap:50px;
}

.access-button-area1{
    width: 150px;
    text-align: center;
    border: 1px solid #000;
}
.access-button1{
    display: block;
    line-height: 35px;
}
.access-button-area1:hover{
    background-color: #000;
    transition: .5s;
}
.access-button1:hover{
    color: #fff;
     transition: .5s;
}
.reserve-button-area1{
    width: 150px;
    text-align: center;
    background-color: #000;
    border: 1px solid #000;
}
.reserve-button1{
    display: block;
    line-height: 35px;
    color: #fff;
}
.reserve-button-area1:hover{
    background-color: #fff;
    transition: .5s;
}
.reserve-button1:hover{
    color: #000;
     transition: .5s;
}
.access-button-area2{
    width: 150px;
    text-align: center;
    border: 1px solid #fff;
}
.access-button2{
    display: block;
    line-height: 35px;
}
.access-button-area2:hover{
    background-color: #fff;
    transition: 0.5s;
}
.access-button2:hover{
    color: #000;
    transition: 0.5s;
}
.reserve-button-area2{
    width: 150px;
    text-align: center;
    background-color: #fff;
    border: 1px solid #fff;
}
.reserve-button2{
    color: #000;
    display: block;
    line-height: 35px;
}
.reserve-button-area2:hover{
    background-color: #000;
    transition: 0.5s;
}
.reserve-button2:hover{
    color: #fff;
    transition: 0.5s;
}
@media (max-width: 800px) {
  .site-menu ul {
    display: block;
    text-align: center;
  }
  .site-menu li {
    margin-top: 20px;
  }
  .header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background-color: #fff;
    height: 50px;
    z-index: 10;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.1);
  }
  .header-inner {
    padding-left: 20px;
    padding-right: 20px;
    height: 100%;
    position: relative;
  }
  .header-logo {
    width: 100px;
  }
  .header-site-menu {
    position: absolute;
    top: 100%;
    left: 0;
    right: 0;
    color: #fff;
    background-color: dimgray;
    padding-top: 30px;
    padding-bottom: 50px;
    display: none;
  }
  .toggle-menu-button {
    display: block;
    width: 44px;
    height: 34px;
    background-image: url("../images/common/icon-menu.png");
    background-size: 50%;
    background-position: center;
    background-repeat: no-repeat;
    background-color: transparent;
    border: none;
    border-radius: 0;
    outline: none;
  }
  .header-site-menu.is-show {
    display: block;
  }
  .main {
    padding-top: 50px;
  }
  .footer-logo {
    margin-top: 60px;
  }
  .footer-tel {
    font-size: 20px;
  }
  .copyright {
    margin-top: 50px;
  }
    .botton-area2{
        margin-bottom: 10px;
    }
    .access-button-area1{
        border: 1px solid #fff;
    }
}
.page-top a{
	display: flex;
	justify-content:center;
	align-items:center;
	border:1px solid #000;
	border-radius: 50%;
	width: 60px;
	height: 60px;
	color: #000;
	text-align: center;
	text-transform: uppercase; 
	text-decoration: none;
	font-size:0.6rem;
	transition:all 0.3s;
}

.page-top a:hover{
	background: #fff;
}

/*リンクを右下に固定*/
.page-top {
	position: fixed;
	right: 10px;
	z-index: 2;
    /*はじめは非表示*/
	opacity: 0;
	transform: translateY(100px);
}

/*　上に上がる動き　*/

.page-top.UpMove{
	animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 0;
	transform: translateY(100px);
  }
  to {
    opacity: 1;
	transform: translateY(0);
  }
}

/*　下に下がる動き　*/

.page-top.DownMove{
	animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
  	opacity: 1;
	transform: translateY(0);
  }
  to {
  	opacity: 1;
	transform: translateY(100px);
  }
}
